task pre {

    File ref_dir
	File fasta
	File vcf
	String sample
	String docker
	String cluster_config
	String disk_size

	command <<<

		set -o pipefail
		set -e
		nt=$(nproc)
		mkdir -p /cromwell_root/tmp
		cp -r ${ref_dir} /cromwell_root/tmp/

  		export HGREF=/cromwell_root/tmp/reference_data/GRCh38.d1.vd1.fa

		if [[ ${sample} =~ "LCL7"  ]]; then
			/opt/hap.py/bin/pre.py ${vcf} ${sample}vcf.gz \
				-r ${HGREF} -D -L --fixchr --gender male --threads $nt --logfile ${sample}.normalization.log
		else
			/opt/hap.py/bin/pre.py ${vcf} ${sample}vcf.gz \
				-r ${HGREF} -D -L --fixchr --gender female --threads $nt --logfile ${sample}.normalization.log
		fi

	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File normalized_vcf = "${sample}vcf.gz"
		File log = "${sample}.normalization.log"
	}
}
